curl --request PATCH \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"data": {
"notes": "<string>",
"job_start_at": "2023-11-07T05:31:56Z",
"requested_loads_count": 13,
"requested_equipment_type_name": "<string>",
"load": {
"quantity": 123
},
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_type_gross_capacity": 123,
"foreman_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collaborator_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"salesperson_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordinality": 123,
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
],
"unit_of_measure": "Load",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"recurring_loads": true,
"quantity": 123
}
}
'{}Bulk update multiple Jobs with attributes defined in data asynchronously.
This endpoint requires the edit_job permission.
Bulk Updatable attributes: notes
curl --request PATCH \
--url https://api.tread-horizon.com/v1/companies/{company-id}/jobs/bulk_update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"data": {
"notes": "<string>",
"job_start_at": "2023-11-07T05:31:56Z",
"requested_loads_count": 13,
"requested_equipment_type_name": "<string>",
"load": {
"quantity": 123
},
"material_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_type_gross_capacity": 123,
"foreman_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"collaborator_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"salesperson_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"waypoints": [
{
"type": "pickup",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ordinality": 123,
"contact": {
"name": "<string>",
"email": "<string>",
"phone": "+18885551234"
}
}
],
"unit_of_measure": "Load",
"driver_rate_value": 123,
"driver_rate_type": "RatePerHour",
"vendor_rate_value": 123,
"vendor_rate_type": "RatePerHour",
"recurring_loads": true,
"quantity": 123
}
}
'{}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
Accepted
The response is of type object.